package de.kif.frontend.views.calendar

import de.kif.common.ConstraintError
import de.kif.common.model.Room
import de.kif.common.model.Schedule
import de.kif.frontend.launch
import de.kif.frontend.repository.ScheduleRepository
import de.westermann.kwebview.View
import de.westermann.kwebview.ViewCollection
import de.westermann.kwebview.components.*

class CalendarErrors() : ViewCollection<TextView>() {

    fun setErrors(errors: List<ConstraintError>) {
        clear()

        for (error in errors) {
            textView(error.reason)
        }
    }
}